DocMkrParserInternal::PictInfo Struct Reference documentation

DocMkrParserInternal::PictInfo Struct Reference

Internal: store a picture information in DocMkrParser. More...

## Public Member Functions
| PictInfo ()
| constructor

## Public Attributes
int | m_id
| the picture id
int | m_sndId
| the sound id
int | m_align
| the alignment ( 1:center, ... )
bool | m_print
| true if the picture is printed
bool | m_invert
| true if we must invert the picture
int | m_action
| the action
std::string | m_actionString
| the action string
int | m_next [2]
| the next chapter/paragraph position for goChapter
std::string | m_appleScript [3]
| the applescript type
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, PictInfo const &info)
| operator<<

## Detailed Description

Internal: store a picture information in DocMkrParser.

## Constructor & Destructor Documentation

## ◆ PictInfo()

DocMkrParserInternal::PictInfo::PictInfo | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PictInfo const & | info )
| friend

operator<<

## Member Data Documentation

## ◆ m_action

int DocMkrParserInternal::PictInfo::m_action

the action

Referenced by operator<<, PictInfo(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_actionString

std::string DocMkrParserInternal::PictInfo::m_actionString

the action string

Referenced by operator<<, PictInfo(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_align

int DocMkrParserInternal::PictInfo::m_align

the alignment ( 1:center, ... )

Referenced by operator<<, PictInfo(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_appleScript

std::string DocMkrParserInternal::PictInfo::m_appleScript[3]

the applescript type

Referenced by operator<<, and DocMkrParser::readPictInfo().

## ◆ m_extra

std::string DocMkrParserInternal::PictInfo::m_extra

extra data

Referenced by operator<<, PictInfo(), and DocMkrParser::readPictInfo().

## ◆ m_id

int DocMkrParserInternal::PictInfo::m_id

the picture id

Referenced by operator<<, PictInfo(), DocMkrParser::readPictInfo(), and DocMkrParser::sendPicture().

## ◆ m_invert

bool DocMkrParserInternal::PictInfo::m_invert

true if we must invert the picture

Referenced by operator<<, PictInfo(), and DocMkrParser::readPictInfo().

## ◆ m_next

int DocMkrParserInternal::PictInfo::m_next[2]

the next chapter/paragraph position for goChapter

Referenced by operator<<, PictInfo(), and DocMkrParser::readPictInfo().

## ◆ m_print

bool DocMkrParserInternal::PictInfo::m_print

true if the picture is printed

Referenced by operator<<, PictInfo(), and DocMkrParser::readPictInfo().

## ◆ m_sndId

int DocMkrParserInternal::PictInfo::m_sndId

the sound id

Referenced by operator<<, PictInfo(), and DocMkrParser::readPictInfo().

The documentation for this struct was generated from the following file:

- DocMkrParser.cxx